Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Class BindKeyVariableExpression

    java.lang.Object
      org.apache.openjpa.kernel.exps.Exp
          org.apache.openjpa.kernel.exps.BindVariableExpression
              org.apache.openjpa.kernel.exps.BindKeyVariableExpression

All Implemented Interfaces:
  Serializable, Expression

     class BindKeyVariableExpression

extends BindVariableExpression

`BindVariableExpression` for map key sets.

Author:
  Abe White

Constructor Summary
`BindKeyVariableExpression(BoundVariable var, Val val)` Constructor.

Method Summary
`protected Collection` | `getCollection(Object values)` Return a collection for the given object, produced by `eval`'ing the value of this expression.

Methods inherited from class org.apache.openjpa.kernel.exps.BindVariableExpression
`acceptVisit, eval, eval, getVariable, getVariableValues`

Methods inherited from class org.apache.openjpa.kernel.exps.Exp
`evaluate, evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindKeyVariableExpression

    public BindKeyVariableExpression(BoundVariable var,
                                     Val val)

  Constructor.

  Parameters:
    `var` - the bound variable
    `val` - the value the variable is bound to

Method Detail

### getCollection

    protected Collection getCollection(Object values)

  Description copied from class: `BindVariableExpression`
  Return a collection for the given object, produced by `eval`'ing the value of this expression. Simply casts the object to a collection by default.

  Overrides:
    `getCollection` in class `BindVariableExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.